Page MenuHomePhabricator

Finalize wikipedia.de banner redesign
Closed, ResolvedPublic8 Estimated Story Points

Description

The hybrid banner on Wikipedia.de still needs some changes:

  1. Shared closed state between mobile and desktop
  2. Upon opening the donation form on the mobile design, the bold text should start getting a yellow highlight letter by letter
  3. Tracking user interactions through Matomo works

The banner also needs to be extensively tested, especially on Internet Explorer 11 and mobile devices.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 14 2019, 11:47 AM
Tim_WMDE set the point value for this task to 5.
Tim_WMDE changed the point value for this task from 5 to 3.Oct 14 2019, 2:53 PM
Tim_WMDE changed the point value for this task from 3 to 8.Oct 16 2019, 3:14 PM
Tim_WMDE updated the task description. (Show Details)

Here is my feedback after some testing sessions on the banner:

  • “Shared closed state between mobile and desktop” --> works well
  • “Upon opening the donation form on the mobile design, the bold text should start getting a yellow highlight letter by letter” -> did work yesterday (16.10). now it doesn't
  • apart from that the mobile banner does work well
  • Closing with the "X" doesn't work in Chrome (in Firefox it does work!)
  • No Banner in Internet exlporer!
  • No Banner in Safari!
  • Also it seems that the wikipedia.de page breaks in safari. See screenshot and please check!

  • the barometer doesn't seem to work correctly (e.g. it shows 0.0 earned in Firefox and 8.2 earned in Chrome

  • breakpoints in format and text work well

Hey,

what version of Safari did you test this on? Works fine for me:

the barometer doesn't seem to work correctly (e.g. it shows 0.0 earned in Firefox and 8.2 earned in Chrome

The progress bar will be removed anyway before the campaign launch and is mainly a placeholder, but we'll keep this in mind.

Hi,

Tested on Safari 5.1.7.
Seems to be the latest version you can download for windows (from Heise, Chip etc.).
Of course Mac users would have a way higher version. Gabriel tested on the newer version and it worked fine.
So this would probably only affect Safari users on Windows.

The progress bar should be there for the campaign! It's not that important before the campaign.

@JanJaquemot Thanks for the test – we found out that Safari for Windows is not updated 2012 and we do not support it (also the share of visitors is 0,…% on Wikipedia.de)

Yea, expected that the share of Safari users on WIndows would be low. Thanks for checking the numbers on that.
So this issue should be neglectable.

gabriel-wmde moved this task from Heap to Doing on the WMDE-FUN-Funban-2019 board.Oct 28 2019, 9:56 AM
chrp added a subscriber: chrp.Oct 31 2019, 1:26 PM

@gabriel-wmde Still missing the solution for the progress bar. We move this to an own ticket. So we consider this ticket done.

chrp moved this task from Doing to Done on the WMDE-FUN-Funban-2019 board.Oct 31 2019, 1:28 PM
chrp closed this task as Resolved.Nov 7 2019, 1:35 PM